Loading...
Searching...
No Matches
seqan3::sam_flag_printer< sam_flag > Struct Reference
IO » SAM File

A sam_flag can be printed as an integer value. More...

`#include <seqan3/io/sam_file/sam_flag.hpp>`

Inheritance diagram for seqan3::sam_flag_printer< sam_flag >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, sam_flag const arg) const
| Prints the sam flag.

## Detailed Description

A sam_flag can be printed as an integer value.

## Member Function Documentation

## operator()()

template<typename stream_t>

void seqan3::sam_flag_printer< sam_flag >::operator() | ( | stream_t & | stream,
|  | sam_flag const | arg ) const

inline constexpr

Prints the sam flag.

Template Parameters

  stream_t | The output stream type.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The sam flag to print.

The documentation for this struct was generated from the following file:

- sam_flag.hpp

Hide me